Groovy 1.7.0

## org.codehaus.groovy.runtime.callsite
Class CallSiteArray

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.CallSiteArray

    class CallSiteArray
    extends Object

Field Summary
`static Object[]` | `NOPARAM`
`CallSite[]` | `array`
`Class` | `owner`

Constructor Summary
`CallSiteArray(Class owner, String[] names)`

Method Summary
`static Object` | `defaultCall(CallSite callSite, Object receiver, Object[] args)`
`static Object` | `defaultCallConstructor(CallSite callSite, Object receiver, Object[] args)`
`static Object` | `defaultCallCurrent(CallSite callSite, GroovyObject receiver, Object[] args)`
`static Object` | `defaultCallStatic(CallSite callSite, Class receiver, Object[] args)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### NOPARAM

    static final Object[] NOPARAM

### array

    final CallSite[] array

### owner

    final Class owner

Constructor Detail

### CallSiteArray

    public CallSiteArray(Class owner, String[] names)

Method Detail

### defaultCall

    public static Object defaultCall(CallSite callSite, Object receiver, Object[] args)

### defaultCallConstructor

    public static Object defaultCallConstructor(CallSite callSite, Object receiver, Object[] args)

### defaultCallCurrent

    public static Object defaultCallCurrent(CallSite callSite, GroovyObject receiver, Object[] args)

### defaultCallStatic

    public static Object defaultCallStatic(CallSite callSite, Class receiver, Object[] args)

Copyright © 2003-2009 The Codehaus. All rights reserved.